Author Topic: Compiling latest samba-server  (Read 2679 times)

Michael Holzapfel

  • Newbie
  • *
  • Thank You
  • -Given: 2
  • -Receive: 4
  • Posts: 47
    • View Profile
Compiling latest samba-server
« on: June 11, 2016, 01:18:11 pm »
Hi folks,

I am trying to keep up with the latest development of samba server and having trouble with configure (with which I am not very familiar). So this is my log, any advice, what’s missing?

Can't locate File/Spec.pm in @INC (@INC contains: /@unixroot/usr/share/autoconf /@unixroot/usr/local/lib/perl5 /@unixroot/usr/local/share/perl5 /@unixroot/usr/lib/perl5/vendor_perl /@unixroot/usr/share/perl5/vendor_perl /@unixroot/usr/lib/perl5 /@unixroot/usr/share/perl5 .) at /@unixroot/usr/share/autoconf/Autom4te/FileUtils.pm line 100.
BEGIN failed--compilation aborted at /@unixroot/usr/share/autoconf/Autom4te/FileUtils.pm line 100.
Compilation failed in require at C:/usr/bin/autoheader line 44.
BEGIN failed--compilation aborted at C:/usr/bin/autoheader line 44.
test: 53: unexpected operator
autogen.sh: need autoconf 2.53 or later to build samba from GIT
build_script: ./configure: not foun


Thanks in advance for any hint
Michael



Herwig Bauernfeind

  • Newbie
  • *
  • Thank You
  • -Given: 0
  • -Receive: 3
  • Posts: 34
    • View Profile
Re: Compiling latest samba-server
« Reply #1 on: June 11, 2016, 05:18:03 pm »
Hi Michael,

Samba compilation requires autoconf to be installed properly now.
Arca Noae package manager (rpm/yum frontend) is to most easy way to get it.

« Last Edit: June 11, 2016, 05:21:04 pm by Herwig Bauernfeind »

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 7
  • -Receive: 87
  • Posts: 1098
    • View Profile
Re: Compiling latest samba-server
« Reply #2 on: June 11, 2016, 06:55:27 pm »
Probably also need automake and libtool as well.

Michael Holzapfel

  • Newbie
  • *
  • Thank You
  • -Given: 2
  • -Receive: 4
  • Posts: 47
    • View Profile
Re: Compiling latest samba-server
« Reply #3 on: June 11, 2016, 11:43:52 pm »
Thank you Herwig and Dave,

the packages are already installed.


[c:\]yum list autoconf automake libtool
Installierte Pakete
autoconf.noarch                     2.69-2.oc00                      installed
automake.noarch                     1.14.1-3.oc00                    installed
libtool.pentium4                    2.4.6-2.oc00                     installed
Verfügbare Pakete
libtool.i386                        2.4.6-1.oc00                     netlabs-rel
libtool.i686                        2.4.6-2.oc00                     netlabs-rel


Do I need to switch to netlabs-experimental?

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 7
  • -Receive: 87
  • Posts: 1098
    • View Profile
Re: Compiling latest samba-server
« Reply #4 on: June 12, 2016, 02:19:04 am »
Do you have Perl installed? If not, then install it. Probably needs a ticket as well as autoconf and automake depend on Perl, unluckily for some stupid reason (probably because RH does it) there are a lot of Perl sub-packages, not sure which are needed but quite likely you're missing a sub-package, perhaps perl-file or similar. (to lazy to wait 20 minutes for Arca Noae Package Manager to load, hate RPM)

Michael Holzapfel

  • Newbie
  • *
  • Thank You
  • -Given: 2
  • -Receive: 4
  • Posts: 47
    • View Profile
Re: Compiling latest samba-server
« Reply #5 on: June 12, 2016, 07:49:09 pm »
Thanks Dave, that did the trick! Of course perl was installed, but not the related sub-packages. I've installed all of them (Is this the sense of YUM/RPM to install everything, what's there?)

Build.cmd conf runs now and had a lot of .idl files compiled in librpc. Unfortunately it ended up with:
...
Compiling librpc/idl/secrets.idl
Compiling librpc/idl/server_id.idl
Compiling librpc/idl/wbint.idl
Now run ./configure (or ./configure.developer) and then make.
./configure: line 154: /usr/bin/bash: No such file or directory
./configure: line 154: exec: /usr/bin/bash: cannot execute: No such file or directory
All done, took 7 min 18 sec.

Guess what, bash is installed and present.
[c:\work\samba\server\source3]ls -l /usr/bin/bash*
-rw-r--r-- 1 0 0 423573  5. Dez 2006  /usr/bin/bash.exe

Obviously it is not easy to follow our developers, any further hints?
Michael


Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 7
  • -Receive: 87
  • Posts: 1098
    • View Profile
Re: Compiling latest samba-server
« Reply #6 on: June 12, 2016, 08:44:51 pm »
Make sure this is in your environment, perhaps in config.sys,
Code: [Select]
REM [*] Unix environment
SET SHELL=sh.exe
SET EMXSHELL=sh.exe
SET CONFIG_SHELL=sh.exe
SET MAKESHELL=sh.exe
SET EXECSHELL=sh.exe
set LANG=en_US

Not sure about the LANG if you're using a non-English environment.

Silvan Scherrer

  • Full Member
  • ***
  • Thank You
  • -Given: 1
  • -Receive: 8
  • Posts: 128
    • View Profile
Re: Compiling latest samba-server
« Reply #7 on: June 13, 2016, 10:34:44 am »
Thanks Dave, that did the trick! Of course perl was installed, but not the related sub-packages. I've installed all of them (Is this the sense of YUM/RPM to install everything, what's there?)

Build.cmd conf runs now and had a lot of .idl files compiled in librpc. Unfortunately it ended up with:
...
Compiling librpc/idl/secrets.idl
Compiling librpc/idl/server_id.idl
Compiling librpc/idl/wbint.idl
Now run ./configure (or ./configure.developer) and then make.
./configure: line 154: /usr/bin/bash: No such file or directory
./configure: line 154: exec: /usr/bin/bash: cannot execute: No such file or directory
All done, took 7 min 18 sec.

Guess what, bash is installed and present.
[c:\work\samba\server\source3]ls -l /usr/bin/bash*
-rw-r--r-- 1 0 0 423573  5. Dez 2006  /usr/bin/bash.exe

Obviously it is not easy to follow our developers, any further hints?
Michael

If you are still unable to build it, please open a ticket. Why a ticket: because we really scan very seldom the newsgroups about such issues.

regards
Silvan

Michael Holzapfel

  • Newbie
  • *
  • Thank You
  • -Given: 2
  • -Receive: 4
  • Posts: 47
    • View Profile
Re: Compiling latest samba-server
« Reply #8 on: June 13, 2016, 11:23:57 pm »
Hi Silvan,

do you really want me to block valuable development resources through problems by compiling? Probably the problems are related to my build environment and not to the samba sources. Anyway, I'll open a ticket once I am sure it is not related to my build environmant.  It is still not compiling.

I come to that point:
checking build system type... i386-pc-os2-emx
checking host system type... i386-pc-os2-emx
checking target system type... i386-pc-os2-emx
LIBREPLACE_LOCATION_CHECKS: START
LIBREPLACE_LOCATION_CHECKS: END
LIBREPLACE_CC_CHECKS: START
checking for gcc... gcc
checking whether the C compiler works... no
configure: error: in `C:/work/samba/server/source3':
configure: error: C compiler cannot create executables
See `config.log' for more details
All done, took 5 min 51 sec.


Analyzing config.log provides the following:
weakld: cannot open library file '\@unixroot\usr\lib\libcx0_s.a'.
emxomfld: weak prelinker failed. (rc=8)


New libcx is not part of the netlabs-rel channel.

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 7
  • -Receive: 87
  • Posts: 1098
    • View Profile
Re: Compiling latest samba-server
« Reply #9 on: June 14, 2016, 01:12:39 am »
Quote
Analyzing config.log provides the following:
weakld: cannot open library file '\@unixroot\usr\lib\libcx0_s.a'.
emxomfld: weak prelinker failed. (rc=8)

These error messages can be deceiving, can you look in config.log for the command line that triggered the error, you can leave out all the defines

Silvan Scherrer

  • Full Member
  • ***
  • Thank You
  • -Given: 1
  • -Receive: 8
  • Posts: 128
    • View Profile
Re: Compiling latest samba-server
« Reply #10 on: June 14, 2016, 08:03:30 am »
Hi Silvan,

do you really want me to block valuable development resources through problems by compiling? Probably the problems are related to my build environment and not to the samba sources. Anyway, I'll open a ticket once I am sure it is not related to my build environmant.  It is still not compiling.

I come to that point:
checking build system type... i386-pc-os2-emx
checking host system type... i386-pc-os2-emx
checking target system type... i386-pc-os2-emx
LIBREPLACE_LOCATION_CHECKS: START
LIBREPLACE_LOCATION_CHECKS: END
LIBREPLACE_CC_CHECKS: START
checking for gcc... gcc
checking whether the C compiler works... no
configure: error: in `C:/work/samba/server/source3':
configure: error: C compiler cannot create executables
See `config.log' for more details
All done, took 5 min 51 sec.


Analyzing config.log provides the following:
weakld: cannot open library file '\@unixroot\usr\lib\libcx0_s.a'.
emxomfld: weak prelinker failed. (rc=8)


New libcx is not part of the netlabs-rel channel.
It's in exp repo.

Michael Holzapfel

  • Newbie
  • *
  • Thank You
  • -Given: 2
  • -Receive: 4
  • Posts: 47
    • View Profile
Re: Compiling latest samba-server
« Reply #11 on: June 14, 2016, 08:09:28 am »
...installed, so configure runs now. Beeing in the stage of installing gawk, diffutils, etc. to get configure running. Basically confgure runs are quite slow, only one core is used.  Keep you informed about my progress.
Thanks for your help.
Michael

Silvan Scherrer

  • Full Member
  • ***
  • Thank You
  • -Given: 1
  • -Receive: 8
  • Posts: 128
    • View Profile
Re: Compiling latest samba-server
« Reply #12 on: June 14, 2016, 09:09:13 am »
...installed, so configure runs now. Beeing in the stage of installing gawk, diffutils, etc. to get configure running. Basically confgure runs are quite slow, only one core is used.  Keep you informed about my progress.
Thanks for your help.
Michael

My above answer was a bit short. Done from the mobile :)
Try to install all needed utils by rpm, but afaics you do it like that anyway.
And yes I really meant to write tickets also for such cases. You don't disturb us developers with that. The advantage of such tickets is, it's written somewhere and we can crosslink to that. Of course we could crosslink to forum threads as well, but as I already said, we don't read forums that much.
So feel free to go further in here, as I try to monitor this thread now, or write a ticket.

regards
Silvan

Michael Holzapfel

  • Newbie
  • *
  • Thank You
  • -Given: 2
  • -Receive: 4
  • Posts: 47
    • View Profile
Re: Compiling latest samba-server
« Reply #13 on: June 14, 2016, 11:35:14 pm »
Hi all,

it is building exe's finally.  Remainng hurdles were installing findutils (SYS1003 messages during compilation) and installing exceptq and exceptq-lib. Absence of this library was not checked by autoconf-configure.

Will try the exe's next weekend. Thanks for your support and patience.
Michael

Greggory Shaw

  • Global Moderator
  • Sr. Member
  • *****
  • Thank You
  • -Given: 36
  • -Receive: 19
  • Posts: 416
    • View Profile
Re: Compiling latest samba-server
« Reply #14 on: June 15, 2016, 11:17:02 am »
Any news on Samba 4 ?